Samsung Galaxy S2ə Paranoid Android 2.4 yazılması.

Hamıya salam. Bir az baş garışıg oldugdan tez-tez postlar yazmaq mümkün olmur. Lakin arada vaxt tapıb bu postu yazmaga gərara aldım, çünki həqiqətən mənim Samsung Galaxy S2 — İCW Android 4.0.4 modelində proşivkasını dəyişmə barədə məluatı tapmag bır az çətin oldu. Qeyd edimki hər şey patçın versiyadan çox asılıdır.
İnndi biz Samsung Galaxy S2 Android 4.0.4 (Patch -XWLPM,XXLQ5 və ya XXLQ6) təzə kastom Paranoid Android 2.4 yazarıg. (Androidin versiyası 4.1.2 və kernel isə Siyah 5.0.1). Əgər sizdə digər modeldirsə xahiş olunur bu manualı istifadə etməyasini, çünki hər şey həqiqətəndə pis ola bilər;)
Ən birincisi, Titanium Backup ilə telefonuvuzda olan bütün lazım applicationları backup elayin və ya digər program ilə. Sistem applicationları lazım deyil.

Paranoid Androidin installyasiyası 2 etapa böıək — root hüquqların alınması + nüvəni dəyişməsi və təzə proşivkanın yazılması. Hər ikisi çox vacibdir və hər ikisini eləmək zəruridir.

( Читать дальше )

Линуксойды обновляйтесь на уровне ядра;)

Да да вы правильно поняли в ядре операционной системы Linux серьезная уязвимость и такое бывает:)Уязвимость позволяющая локальному юзеру выполнить свой код с root-привилегиями:) Завораживающе не правдо ли? Оказывается не только Винда страдает такими серьезными дырами:)
Проблема вызвана возможностью разыменования NULL-указателя при выполнения определенных действий с неименованными каналами (pipe). Уязвимость существует из-за ошибки блокирования в функциях pipe_rdwr_open(), pipe_write_open(), и pipe_read_open() в файле fs/pipe.c. Локальный пользователь может с помощью определенных операций над каналом вызвать разыменование нулевого указателя и повысить свои привилегии на системе.
Группа разработчиков ядра сообщила, что уязвимость может быть устранена только в предстоящем релизе ядра 2.6.32, что потенциально делает уязвимыми всех пользователей данной ОС. Компания Red Hat уже выпустила обновление для своего дистрибутива Red Hat Enterprise Linux, поэтому пользователям, имеющим действующие подписки, рекомендуется как можно скорее скачать патч для ядра или обновленную версию ядра.

Списочек уязвимых ядер

Ну и попатчиться
  • +1
  • 05 ноября 2009, 02:30
  • Cluster
  • 1